Cannot run python3 scripts any more

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Cannot run python3 scripts any more

Tony Arnold-3
After today's updates, I did an apt autormove which tried to uninstall
the package python3-dbus.mainloop.qt, which failed. Since then, I've
tried to purge this packae, uninsytall it, re-install it and I get the
following:

$ sudo apt purge python3-dbus.mainloop.qt
Reading package lists... Done
Building dependency tree      
Reading state information... Done
The following packages will be REMOVED
  python3-dbus.mainloop.qt*
0 to upgrade, 0 to newly install, 1 to remove and 0 not to upgrade.
1 not fully installed or removed.
After this operation, 65.5 kB disk space will be freed.
Do you want to continue? [Y/n]
(Reading database ... 536635 files and directories currently
installed.)
Removing python3-dbus.mainloop.qt (4.11.4+dfsg-2build2) ...
Segmentation fault (core dumped)
dpkg: error processing package python3-dbus.mainloop.qt (--remove):
 subprocess installed pre-removal script returned error exit status 139
Segmentation fault (core dumped)
dpkg: error while cleaning up:
 subprocess installed post-installation script returned error exit
status 139
Errors were encountered while processing:
 python3-dbus.mainloop.qt
E: Sub-process /usr/bin/dpkg returned an error code (1)

And now many python3 programs fail with segmentation fault immediately,
including commands such as pip3, for example.

Anyone else seen this? Anyone have a clue where to start?

All help gratefully received.

Regards,
Tony.
--
Tony Arnold MBCS, CITP | Senior IT Security Analyst | Directorate of IT Services | G64, Kilburn Building | The University of Manchester | Manchester M13 9PL | T: +44 161 275 6093 | M: +44 773 330 0039
--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: Cannot run python3 scripts any more

Tony Arnold-3
I've now re-installed my system, but apt is still suggesting to
autoremove the package 'python3-dbus.mainloop.qt'.

Does anyone know, or can tell me how to find out, if this package is
needed in Artful, or is this a dependency bug?

Regards,
Tony.

On Mon, 2017-12-11 at 22:10 +0000, Tony Arnold wrote:

> After today's updates, I did an apt autormove which tried to
> uninstall
> the package python3-dbus.mainloop.qt, which failed. Since then, I've
> tried to purge this packae, uninsytall it, re-install it and I get
> the
> following:
>
> $ sudo apt purge python3-dbus.mainloop.qt
> Reading package lists... Done
> Building dependency tree      
> Reading state information... Done
> The following packages will be REMOVED
>   python3-dbus.mainloop.qt*
> 0 to upgrade, 0 to newly install, 1 to remove and 0 not to upgrade.
> 1 not fully installed or removed.
> After this operation, 65.5 kB disk space will be freed.
> Do you want to continue? [Y/n]
> (Reading database ... 536635 files and directories currently
> installed.)
> Removing python3-dbus.mainloop.qt (4.11.4+dfsg-2build2) ...
> Segmentation fault (core dumped)
> dpkg: error processing package python3-dbus.mainloop.qt (--remove):
>  subprocess installed pre-removal script returned error exit status
> 139
> Segmentation fault (core dumped)
> dpkg: error while cleaning up:
>  subprocess installed post-installation script returned error exit
> status 139
> Errors were encountered while processing:
>  python3-dbus.mainloop.qt
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
> And now many python3 programs fail with segmentation fault
> immediately,
> including commands such as pip3, for example.
>
> Anyone else seen this? Anyone have a clue where to start?
>
> All help gratefully received.
>
> Regards,
> Tony.
> --
> Tony Arnold MBCS, CITP | Senior IT Security Analyst | Directorate of
> IT Services | G64, Kilburn Building | The University of Manchester |
> Manchester M13 9PL | T: +44 161 275 6093 | M: +44 773 330 0039
>
--
Tony Arnold MBCS, CITP | Senior IT Security Analyst | Directorate of IT Services | G64, Kilburn Building | The University of Manchester | Manchester M13 9PL | T: +44 161 275 6093 | M: +44 773 330 0039
--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users
Reply | Threaded
Open this post in threaded view
|

Re: Cannot run python3 scripts any more

C de-Avillez-2
On Tue, 12 Dec 2017 22:50:47 +0000
Tony Arnold <[hidden email]> wrote:

> I've now re-installed my system, but apt is still suggesting to
> autoremove the package 'python3-dbus.mainloop.qt'.
>
> Does anyone know, or can tell me how to find out, if this package is
> needed in Artful, or is this a dependency bug?

I am not sure about Artful, since I am running Bionic. But you can do
the same as below to find out all dependecies (and reverse deps):

[cerdea-aws]:/data/buildd$ apt-cache depends python3-dbus.mainloop.qt
python3-dbus.mainloop.qt
  Depends: python3-dbus
  Depends: python3
  Depends: python3
  Depends: <python3:any>
    python3:i386
    python3
  Depends: libc6
  Depends: libdbus-1-3
  Depends: libgcc1
  Depends: libqtcore4
  Depends: libstdc++6
[cerdea-aws]:/data/buildd$ apt-cache rdepends python3-dbus.mainloop.qt
python3-dbus.mainloop.qt
Reverse Depends:
  python3-dbus.mainloop.qt-dbg
  scolasync
  backintime-qt4
  python3-autopilot-vis
  python3-autopilot-tests
[cerdea-aws]:/data/buildd$

So, at least in Bionic, the only packages affected by removing
dbus.mainloop.qt would be (as of now) scolasync, backintime-qt4,
python3-autopilot-vis and python3-autopilot-tests.

Cheers,

..C..

--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users

attachment0 (817 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Cannot run python3 scripts any more

Tony Arnold-3
Hi,

On Tue, 2017-12-12 at 22:10 -0600, C de-Avillez wrote:

> On Tue, 12 Dec 2017 22:50:47 +0000
> Tony Arnold <[hidden email]> wrote:
>
> > I've now re-installed my system, but apt is still suggesting to
> > autoremove the package 'python3-dbus.mainloop.qt'.
> >
> > Does anyone know, or can tell me how to find out, if this package
> > is
> > needed in Artful, or is this a dependency bug?
>
> I am not sure about Artful, since I am running Bionic. But you can do
> the same as below to find out all dependecies (and reverse deps):
>
> [cerdea-aws]:/data/buildd$ apt-cache depends python3-dbus.mainloop.qt
> python3-dbus.mainloop.qt
>   Depends: python3-dbus
>   Depends: python3
>   Depends: python3
>   Depends: <python3:any>
>     python3:i386
>     python3
>   Depends: libc6
>   Depends: libdbus-1-3
>   Depends: libgcc1
>   Depends: libqtcore4
>   Depends: libstdc++6
> [cerdea-aws]:/data/buildd$ apt-cache rdepends python3-
> dbus.mainloop.qt
> python3-dbus.mainloop.qt
> Reverse Depends:
>   python3-dbus.mainloop.qt-dbg
>   scolasync
>   backintime-qt4
>   python3-autopilot-vis
>   python3-autopilot-tests
> [cerdea-aws]:/data/buildd$ 
>
> So, at least in Bionic, the only packages affected by removing
> dbus.mainloop.qt would be (as of now) scolasync, backintime-qt4,
> python3-autopilot-vis and python3-autopilot-tests.

Thanks. It looks the same on Artful. I did have backintim-qt4 installed
which I removed recently. That explains why apt wants to autoremove it.

What I don't understand is when it was removed, there were several
applications that stopped working, with 'segmentation fault'. Even one
of my own that uses PyQt5!

Regards,
Tony.
--
Tony Arnold MBCS, CITP | Senior IT Security Analyst | Directorate of IT Services | Desk 51, Office 2, Kilburn Building | The University of Manchester | Manchester M13 9PL | T: +44 161 275 6093 | M: +44 773 330 0039
--
ubuntu-users mailing list
[hidden email]
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-users